## kde4libs 4.14.1

=== debian/changelog ===
kde4libs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:44:39 +0200

kde4libs (4:4.14.0-0ubuntu3) utopic; urgency=medium

  * Update symbols files for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 10:02:40 +0200

kde4libs (4:4.14.0-0ubuntu2) utopic; urgency=medium

  * Build using the default GCC everywhere.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Aug 2014 08:47:22 +0200

kde4libs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:45:24 +0200

kde4libs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update symbols

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:31:10 +0200

kde4libs (4:4.13.95-0ubuntu6) utopic; urgency=medium

  * Remove neopomuk saveversiondep in debain/control

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Jul 2014 10:24:41 +0200

kde4libs (4:4.13.95-0ubuntu5) utopic; urgency=medium

  * Update symbols files for new GCC

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 29 Jul 2014 19:34:02 +0200

kde4libs (4:4.13.95-0ubuntu4) utopic; urgency=medium

  * Remove build-dep on libsoprano-dev and shared-desktop-ontologies to
    stop nepomuk being built, replaced by baloo

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jul 2014 16:59:30 +0200

kde4libs (4:4.13.95-0ubuntu3) utopic; urgency=medium

  * Refresh symbols again to fix the missing ones on armhf

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 Jul 2014 16:55:11 +0200

kde4libs (4:4.13.95-0ubuntu2) utopic; urgency=medium

  * Update symbols for ppc64el

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 26 Jul 2014 00:50:02 +0200

kde4libs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 25 Jul 2014 07:23:11 -0700

kde4libs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 17 Jul 2014 14:18:37 -0700

kde4libs (4:4.13.2-0ubuntu3) utopic; urgency=medium

  * debian/patches/fix-qfile-include.patch: Fix QFile include to resolve
    FTBFS of packages that include kio/global.h header.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Jun 2014 06:46:40 +0100

kde4libs (4:4.13.2-0ubuntu2) utopic; urgency=medium

  * SECURITY UPDATE: Fix KMail/KIO SSL flaw
    - CVE-2014-3494 (LP: #1332064)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 19 Jun 2014 15:18:47 +0200

kde4libs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release
  * Remove kubuntu_meinproc-libxml-fix.diff now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:38:17 +0100

kde4libs (4:4.13.1-0ubuntu1) utopic; urgency=medium

  [ Rohan Garg ]
  * Ubuntu uses iputils-ping instead of inetutils-ping

  [ Jonathan Riddell ]
  * New upstream release
  * Merge with Debian git, remaining changes as below

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 30 May 2014 17:37:06 +0100

kde4libs (4:4.13.1-2) UNRELEASED; urgency=medium

  * Update symbols files with 4:4.13.1-1 build logs.
  * New patch: fix_solidlex_destroy_signature.patch. (Closes: #749227)
    Thanks to Michael Tautschnig.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 29 May 2014 13:21:15 +0200

kde4libs (4:4.13.1-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Switch ttf-dejavu recommend in kdelibs5-plugins to fonts-dejavu.

  [ Maximiliano Curia ]
  * New upstream release.
  * Remove patch: kstringhandlertest_fix.diff, applied upstream.
  * Update symbols for 4.12.4 versions.
  * Update symbols files.
  * New upstream patch: upstream-
    make_include_style_be_the_same_for_QtCore.patch (Closes: #748147)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 15 May 2014 14:29:17 +0200

kde4libs (4:4.13.0-0ubuntu5) utopic; urgency=medium

  * Add kubuntu_meinproc-libxml-fix.diff to fix documentation
    compilation in KDE Software with meinproc after libxml security
    fix broke it LP: #1324066

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 28 May 2014 13:15:55 +0100

kde4libs (4:4.13.0-0ubuntu4) utopic; urgency=medium

  * Drop kubuntu_no_KDE4_BUILD_TESTS.diff

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 27 May 2014 15:19:28 +0200

kde4libs (4:4.13.0-0ubuntu3) utopic; urgency=medium

  [ Rohan Garg ]
  * Add missing header for autopkgtest

  [ Jonathan Riddell ]
  * Update kubuntu_add_langpack_path.diff with locale-kdelibs4 for moved
    language packs for compatibilty with KF5

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 07 May 2014 11:51:08 +0200

kde4libs (4:4.13.0-0ubuntu2) utopic; urgency=medium

  * Merge with debian, remaining changes
    - libkio5, libkhtml5, only suggest kdelibs5-plugins
    - kdelibs5-plugins only suggests kde-runtime
    - kdelibs5-dev should not have perl depends
    - no build-dep on libaspell-dev, aspell
    - no build-dep on libfam-dev
    - DEB_CMAKE_EXTRA_FLAGS += -DKDESU_USE_SUDO_DEFAULT=true
    - don't apply kconf_update_migrate_from_kde3_icon_theme.diff
      - kdelibs5-plugins.install:
        drop usr/share/kde4/apps/kconf_update/kdeui.upd
        and migrate_from_kde3_icon_theme
    - kdelibs5-plugins: recommend ttf-dejavu-core instead of ttf-dejavu to save
      CD space.
    - dh_fixperms: exclude /usr/lib/kde4/libexec/fileshareset
    - Don't set KDE4_USE_ALWAYS_FULL_RPATH, support for it was removed
      ages ago (see kdelibs commit fe998d735cfa02a36cc527c290a2eab7a320106c)
    - Build-depend on g++-4.7 on armhf to work around ICE in g++-4.8

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 06 May 2014 18:14:50 +0200

kde4libs (4:4.12.4-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Switch ttf-dejavu recommend in kdelibs5-plugins to fonts-dejavu.



## kde4libs 4.14.2

=== CMakeLists.txt ===
project(kdelibs)

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

# Make CPack available to easy generate binary packages
include(CPack)

################# set KDE specific information #################

set (KDE_VERSION_MAJOR 4)
set (KDE_VERSION_MINOR 14)
set (KDE_VERSION_RELEASE 2)
set (KDE_VERSION "${KDE_VERSION_MAJOR}.${KDE_VERSION_MINOR}.${KDE_VERSION_RELEASE}" )
set (KDE_VERSION_STRING "${KDE_VERSION}")

set (KDE_DISTRIBUTION_TEXT "compiled sources" CACHE STRING "Indicate the distribution in bug reports" )

# win32: give kde home in debug mode a different name as the  release home dir because the settings and caches are different
if (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
    set (_KDE_DEFAULT_HOME_POSTFIX "-debug" CACHE STRING "default KDE home directory postfix" )
endif (WIN32 AND CMAKE_BUILD_TYPE STREQUAL "Debug")
set (KDE_DEFAULT_HOME ".kde${_KDE_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )

# this must be before FindKDE4Internal in order to preset the result of the visibility test, so that it will be skipped
option(KHTML_BUILD_TESTREGRESSION "Build KHTML's testregression. Note: this disables hidden visibility")
# Disable visibility if testregression is built, because the symbols are needed then
if (KHTML_BUILD_TESTREGRESSION)
   set (__KDE_HAVE_GCC_VISIBILITY 0)
endif (KHTML_BUILD_TESTREGRESSION)

option(STATIC_LIBRARY "Build kdelibs as static libraries." FALSE)

################# write platform profile file which will be installed #################
include(CreateKDEPlatformProfile.cmake)

if(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)
   set(KDE_NO_DEPRECATED TRUE)
endif(KDE_PLATFORM_FEATURE_DISABLE_DEPRECATED)

############### Give the user the option to build the udisks2 solid backend instead of the udisks backend ###############
option(WITH_SOLID_UDISKS2 "Enable the udisks2 solid backend instead" "ON")

############### Give the user the option to build the deprecated WMI solid backend instead of the new win backend ###############
option(WITH_SOLID_WMI "Enables the deprecated WMI backend on Windows")

############### Load the CTest options ###############
# CTestCustom.cmake has to be in the CTEST_BINARY_DIR.
# in the KDE build system, this is the same as CMAKE_BINARY_DIR.
configure_file(${CMAKE_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_BINARY_DIR}/CTestCustom.cmake COPYONLY)

################# now find all used packages #################

set (QT_MIN_VERSION "4.8.0")

find_package(KDE4Internal REQUIRED)
include(KDE4Defaults)
include (MacroLibrary)
if (APPLE)
   find_package(Carbon REQUIRED)
endif (APPLE)

if(UNIX AND Q_WS_X11)
  #X11 Session Management (SM) is required
  #X11_SM_FOUND is set in FindX11, which is required by KDE4Internal
  if(NOT X11_SM_FOUND)
    message(FATAL_ERROR "\nThe X11 Session Management (SM) development package could not be found.\nPlease install libSM.\n")
  endif(NOT X11_SM_FOUND)
endif(UNIX AND Q_WS_X11)

#required features:
# Perl is used e.g. in khtml, kjs, kjsembed and others
find_package(Perl)
set_package_properties(Perl PROPERTIES URL "http://www.perl.org" TYPE REQUIRED PURPOSE "Needed for building kdelibs")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "http://www.zlib.net"
                       TYPE REQUIRED
                       PURPOSE "Required by the core KDE libraries and some critical kioslaves"
                      )

find_package(Strigi 0.6.3)
if (WIN32)
    set (STRIGI_TYPE "OPTIONAL")
    set (STRIGI_EXTRA_TEXT "")
else (WIN32)
    set (STRIGI_TYPE "REQUIRED")
    set (STRIGI_EXTRA_TEXT "Required by some critical kioslaves")
endif (WIN32)
set_package_properties(Strigi PROPERTIES DESCRIPTION "Desktop indexing and search support"
                       URL "http://strigi.sourceforge.net"
                       TYPE ${STRIGI_TYPE}
                       PURPOSE ${STRIGI_EXTRA_TEXT}
                      )

find_package(LibAttica 0.4.2)
set_package_properties(LibAttica PROPERTIES DESCRIPTION "Support for Get Hot New Stuff"
                       URL "https://projects.kde.org/attica"
                       TYPE REQUIRED
                      )

#optional features
if(X11_FOUND)
  #X11_Xrender discovery is done by FindX11
  add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
  macro_bool_to_01(X11_Xscreensaver_FOUND HAVE_XSCREENSAVER)
  macro_bool_to_01(X11_XSync_FOUND HAVE_XSYNC)
  add_feature_info("X Screensaver Extension (libXss)" HAVE_XSCREENSAVER "Support for KIdleTime (fallback mode)")
  add_feature_info("X Sync Extension (libXext)" HAVE_XSYNC "Efficient operation of KIdleTime. STRONGLY RECOMMENDED")

  if(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
    message(FATAL_ERROR "\nNeither the XSync (libXext) nor XScreensaver (libXss) development package was found.\nPlease install one of them (XSync is recommended)\n")
  endif(NOT HAVE_XSYNC AND NOT HAVE_XSCREENSAVER)
endif(X11_FOUND)

macro_optional_find_package(OpenSSL)
set_package_properties(OpenSSL PROPERTIES DESCRIPTION "Support for secure network communications (SSL and TLS)"
                       URL "http://openssl.org"
                       TYPE RECOMMENDED
                       PURPOSE "KDE uses OpenSSL for the bulk of secure communications, including secure web browsing via HTTPS"
                      )

macro_optional_find_package(Libintl)
set_package_properties(Libintl PROPERTIES DESCRIPTION "Support for multiple languages"
                       URL "http://www.gnu.org/software/gettext"
                       TYPE RECOMMENDED
                       PURPOSE "Enables KDE to be available in many different languages"
                      )

macro_optional_find_package(Soprano 2.7.56 COMPONENTS PLUGIN_RAPTORPARSER PLUGIN_REDLANDBACKEND)
set_package_properties(Soprano PROPERTIES DESCRIPTION "Support for the Nepomuk semantic desktop system"
                       URL "http://soprano.sourceforge.net"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(SharedDesktopOntologies 0.10)
set_package_properties(SharedDesktopOntologies PROPERTIES DESCRIPTION "Support for the Nepomuk semantic desktop system"
                       URL "http://oscaf.sourceforge.net"
                       TYPE OPTIONAL
                      )

macro_optional_find_package(QCA2 2.0.0)
set_package_properties(QCA2 PROPERTIES DESCRIPTION "Support for remote plasma widgets"
                       URL "http://delta.affinix.com/qca"
                       TYPE OPTIONAL
                      )

find_package(DBusMenuQt)
set_package_properties(DBusMenuQt PROPERTIES DESCRIPTION "Support for notification area menus via the DBusMenu protocol"
                       URL "https://launchpad.net/libdbusmenu-qt"
                       TYPE REQUIRED
                      )

################# Disallow in-source build #################

macro_ensure_out_of_source_build("kdelibs requires an out of source build. Please create a separate build directory and run 'cmake path_to_kdelibs [options]' there.")

# ... and warn in case of an earlier in-source build
set(generatedFileInSourceDir EXISTS ${kdelibs_SOURCE_DIR}/kdemacros.h OR EXISTS ${kdelibs_SOURCE_DIR}/config.h)
if(${generatedFileInSourceDir})
   message(STATUS "kdemacros.h or config.h exists in your source directory.")
   message(FATAL_ERROR "Please run svn-clean, it would seem that your source directory has generated files in it.")
endif(${generatedFileInSourceDir})
#########################################################################

add_definitions(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
remove_definitions(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)

add_definitions(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

################# setup the include directories #################

# for including config.h and for includes like <kparts/foo.h>
include_directories( ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${CMAKE_SOURCE_DIR}/interfaces)

if(QCA2_FOUND)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)


# Those variables for  are only valid inside of kdelibs, of course.
# Use the one variable for the lib you depend upon.
# E.g. kdeui uses ${KDE4_KDECORE_INCLUDES}. Something that depends on kparts uses ${KDE4_KPARTS_INCLUDES}.

set(KDE4_KJS_INCLUDES ${CMAKE_SOURCE_DIR}/kjs
                      ${CMAKE_BINARY_DIR}/kjs)

if(NOT WINCE)
    set(KDE4_KDECORE_INCLUDES ${KDE4_KJS_INCLUDES} )
endif(NOT WINCE)

# kdecore depends on Qt (need only headers from kjs)
set(KDE4_KDECORE_INCLUDES ${KDE4_KDECORE_INCLUDES}
                          ${CMAKE_SOURCE_DIR}/kdecore
                          ${CMAKE_BINARY_DIR}/kdecore
                          ${CMAKE_SOURCE_DIR}/kdecore/compression
                          ${CMAKE_SOURCE_DIR}/kdecore/config
                          ${CMAKE_SOURCE_DIR}/kdecore/date
                          ${CMAKE_SOURCE_DIR}/kdecore/io
                          ${CMAKE_SOURCE_DIR}/kdecore/jobs
                          ${CMAKE_SOURCE_DIR}/kdecore/kernel
                          ${CMAKE_SOURCE_DIR}/kdecore/auth
                          ${CMAKE_SOURCE_DIR}/kdecore/network
                          ${CMAKE_SOURCE_DIR}/kdecore/services
                          ${CMAKE_SOURCE_DIR}/kdecore/localization
                          ${CMAKE_SOURCE_DIR}/kdecore/sycoca
                          ${CMAKE_SOURCE_DIR}/kdecore/text
                          ${CMAKE_SOURCE_DIR}/kdecore/util
                          ${CMAKE_SOURCE_DIR}/kdecore/sonnet
                          ${QT_INCLUDES}
                          ${_KDE4_PLATFORM_INCLUDE_DIRS})
# kdeui depends on kdecore
set(KDE4_KDEUI_INCLUDES ${CMAKE_SOURCE_DIR}/kdeui
                        ${CMAKE_SOURCE_DIR}/kdeui/actions
                        ${CMAKE_SOURCE_DIR}/kdeui/colors
                        ${CMAKE_SOURCE_DIR}/kdeui/config
                        ${CMAKE_SOURCE_DIR}/kdeui/dialogs
                        ${CMAKE_SOURCE_DIR}/kdeui/findreplace
                        ${CMAKE_SOURCE_DIR}/kdeui/fonts
                        ${CMAKE_SOURCE_DIR}/kdeui/icons
                        ${CMAKE_SOURCE_DIR}/kdeui/itemviews
                        ${CMAKE_SOURCE_DIR}/kdeui/jobs
                        ${CMAKE_SOURCE_DIR}/kdeui/kernel
                        ${CMAKE_SOURCE_DIR}/kdeui/notifications
                        ${CMAKE_SOURCE_DIR}/kdeui/paged
                        ${CMAKE_SOURCE_DIR}/kdeui/plotting
                        ${CMAKE_SOURCE_DIR}/kdeui/shortcuts
                        ${CMAKE_SOURCE_DIR}/kdeui/sonnet
                        ${CMAKE_SOURCE_DIR}/kdeui/util
                        ${CMAKE_SOURCE_DIR}/kdeui/widgets
                        ${CMAKE_SOURCE_DIR}/kdeui/windowmanagement
                        ${CMAKE_SOURCE_DIR}/kdeui/xmlgui
                        ${KDE4_KDECORE_INCLUDES})

# kio depends on kdeui
set(KDE4_KIO_INCLUDES ${CMAKE_SOURCE_DIR}/kio
                      ${CMAKE_SOURCE_DIR}/kio/bookmarks
                      ${CMAKE_SOURCE_DIR}/kio/kio
                      ${CMAKE_SOURCE_DIR}/kio/kfile
                      ${KDE4_KDEUI_INCLUDES})

# kpty
set(KDE4_KPTY_INCLUDES ${CMAKE_SOURCE_DIR}/kpty ${KDE4_KIO_INCLUDES} )

# kparts depends on kio
set(KDE4_KPARTS_INCLUDES ${CMAKE_SOURCE_DIR}/kparts
                         ${KDE4_KIO_INCLUDES})

# kde3support depends on kparts
set(KDE4_KDE3SUPPORT_INCLUDES ${CMAKE_SOURCE_DIR}/kde3support
                              ${CMAKE_SOURCE_DIR}/kde3support/kdecore
                              ${CMAKE_SOURCE_DIR}/kde3support/kdeui
                              ${CMAKE_SOURCE_DIR}/kde3support/kio
                              ${KDE4_KPARTS_INCLUDES})

if(NOT WINCE)
 set(KDE4_KHTML_INCLUDES ${CMAKE_SOURCE_DIR}/khtml)
endif(NOT WINCE)

=== kdeui/tests/CMakeLists.txt ===
set( EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR} )
add_subdirectory(kconfig_compiler)

include_directories( ${KDE4_KDEUI_INCLUDES} proxymodeltestsuite )

# QtTest needs this in order to include the gui stuff.
# The alternative (which requires Qt>=4.6) is #include <QTestGui>
add_definitions(-DQT_GUI_LIB)

option(MAC_USE_OSXKEYCHAIN "On OS X, use the keychain as backend for kwallet, instead of kwalletd.")

MACRO(KDEUI_UNIT_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME kdeui-${_testname} ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN_LIBRARIES})
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_UNIT_TESTS)
MACRO(KDEUI_EXECUTABLE_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_executable(${_testname} TEST ${_testname}.cpp)
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN_LIBRARIES})
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_EXECUTABLE_TESTS)

SET(proxyModelTestSources
  kselectionproxymodeltestsuite.cpp
)

add_subdirectory(proxymodeltestsuite)

MACRO(KDEUI_PROXYMODEL_TESTS)
       FOREACH(_testname ${ARGN})
               kde4_add_unit_test(${_testname} TESTNAME kdeui-${_testname} ${_testname}.cpp ${proxyModelTestSources} )
               target_link_libraries(${_testname} ${KDE4_KDEUI_LIBS} ${QT_QTTEST_LIBRARY} ${QT_QTXML_LIBRARY} ${KDEWIN32_LIBRARIES} proxymodeltestsuite )
       ENDFOREACH(_testname)
ENDMACRO(KDEUI_PROXYMODEL_TESTS)


KDEUI_UNIT_TESTS(
  kactioncollectiontest
  kactioncategorytest
  kbuttongrouptest
  kcompletioncoretest
  kconfigguitest
  kconfigskeletontest
  kdualactiontest
  kfadewidgeteffecttest
  kfindtest
  kglobalsettingstest
  kglobalshortcuttest
  kmainwindow_unittest
  klineedit_unittest
  ktextedit_unittest
  kcombobox_unittest
  kdialog_unittest
  kreplacetest
  kshortcuttest
  kstandardactiontest
  kstandardshortcuttest
  kuniqueapptest
  kwordwraptest
  kapplication_unittest
  kstartupinfo_unittest
  kcolorutilstest
  kxmlgui_unittest
  ktimezonewidget_unittest
  kiconloader_unittest
  ktabwidget_unittest
  ktoolbar_unittest
  krichtextedittest
  kselectaction_unittest
  klistwidgetsearchlinetest
  ktimecomboboxtest
  kdatecomboboxtest
  kdatetimeedittest
  kconfigdialog_unittest
  kcolorbuttontest
  klinkitemselectionmodeltest
)

KDEUI_PROXYMODEL_TESTS(
  kdescendantsproxymodeltest
  kselectionproxymodeltest
  testmodelqueuedconnections
)

KDEUI_EXECUTABLE_TESTS(
  kaccelgentest
  kactionselectortest
  kanimatedbuttontest
  kcharselecttest
  kapptest
  kassistantdialogtest
  kbugreporttest
  kcategorizedviewtest
  kcodecactiontest
  kcolorcollectiontest
  kcolordlgtest
  kcolorcombotest
  kcomboboxtest
  kcompletionuitest
  kdatepicktest
  klanguagebuttontest
  kdatetabletest
  kdatetimewidgettest
  kdatewidgettest
  kdebugtest_gui
  kdialogbuttonboxtest
  kdialogtest
  kfontdialogtest
  kglobalsettingsclient # helper program for kglobalsettingstest
  khboxtest
  kiconeffecttest
  kiconloadertest
  kinputdialogtest
  kjobtrackerstest
  kledtest
  klineedittest
  kmainwindowtest
  kmainwindowrestoretest
  kmessageboxtest
  kmessagetest
  kmessagewidgettest
  kmodifierkeyinfotest
  knewpassworddialogtest
  kstatusnotifieritemtest
  knotificationrestrictionstest
  knuminputtest
  kpagedialogtest
  kpagewidgettest
  kpassivepopuptest
  kpassworddialogtest
  kpixmapregionselectordialogtest
  kpopuptest
  kprogressdialogtest
  krulertest
  kselectactiontest
  kseparatortest
  kstatusbartest
  ksqueezedtextlabeltest
  ksystemtraytest
  ktabwidgettest
  ktextedittest
  ktextbrowsertest
  ktitlewidgettest
  ktoolbartest
  ktoolbarlabelactiontest
  ktreewidgetsearchlinetest
  kwallettest
  kwidgetitemdelegatetest
  kwindowtest
  kxmlguitest
  kxmlguiwindowtest
  testqtargs
  kpixmapsequenceoverlaypaintertest
)

if (Q_WS_MAC AND MAC_USE_OSXKEYCHAIN)
  set_source_files_properties(kwallettest.cpp PROPERTIES 
                               COMPILE_FLAGS -DMAC_USE_OSXKEYCHAIN)
endif(Q_WS_MAC AND MAC_USE_OSXKEYCHAIN)

if (NOT KDE_NO_DEPRECATED)
KDEUI_EXECUTABLE_TESTS(
  keditlistboxtest
)
endif (NOT KDE_NO_DEPRECATED)

if (Q_WS_X11)

KDEUI_EXECUTABLE_TESTS(
 fixx11h_test
 fixx11h_test2
 kxerrorhandlertest
 kmanagerselectiontest
)
target_link_libraries(kmanagerselectiontest ${X11_X11_LIB})
target_link_libraries(kxerrorhandlertest ${X11_X11_LIB})
endif (Q_WS_X11)

## kplottest

set(kplottest_SRCS testplot_widget.cpp testplot_main.cpp)
kde4_add_executable(kplottest TEST ${kplottest_SRCS})
target_link_libraries(kplottest ${KDE4_KDEUI_LIBS})

## kcolorutilsdemo

SET(kcolorUtilsDemoSources kcolorutilsdemo.cpp kimageframe.cpp ../colors/kcolorspaces.cpp)
kde4_add_ui_files(kcolorUtilsDemoSources kcolorutilsdemo.ui)
kde4_add_executable(kcolorutilsdemo ${kcolorUtilsDemoSources})
target_link_libraries(kcolorutilsdemo ${KDE4_KDEUI_LIBS} ${KDEWIN_LIBRARIES})


add_subdirectory(proxymodeltestapp)

=== debian/changelog ===
kde4libs (4:4.14.2-5+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Fix CVE-2019-14744:
    Dominik Penner discovered a flaw in how KConfig interpreted shell commands
    in desktop files and other configuration files. An attacker may trick users
    into installing specially crafted files which could then be used to execute
    arbitrary code, e.g. a file manager trying to find out the icon for a file
    or any application using KConfig. Thus the entire feature of supporting
    shell commands in KConfig entries has been removed.

 -- Markus Koschany <apo@debian.org>  Sun, 18 Aug 2019 16:23:23 +0200

kde4libs (4:4.14.2-5+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Sanitize URLs before passing them to FindProxyForURL (CVE-2017-6410)
    (Closes: #856890)
  * Verify that whoever is calling us is actually who he says he is
    (CVE-2017-8422)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 11 May 2017 14:33:29 +0200

kde4libs (4:4.14.2-5+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-6232: Extraction of tar files possible to arbitrary system
    locations (Closes: #832620)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 06 Aug 2016 15:33:57 +0200

kde4libs (4:4.14.2-5) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/KRecursiveFilterProxyModel-Fixed-the-model.diff
    (Closes: #775114)

 -- Sandro Knauß <bugs@sandroknauss.de>  Mon, 19 Jan 2015 14:12:25 +0100

kde4libs (4:4.14.2-4) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/allow_cancel_ssl.diff (cherry-picked from 4.14.3) to
    make it possible for cancelling certificate acceptance succeed (Closes:
    #771744)
    - Note: This completes the fixes for this issue.  See #769852 for
      kdepimlibs and #750995 for kdepim-runtime for the rest

 -- Scott Kitterman <scott@kitterman.com>  Mon, 01 Dec 2014 18:21:17 -0500

kde4libs (4:4.14.2-3) unstable; urgency=medium

  * Manually fix symbols files.
  * Bump Standards-Version to 3.9.6, no changes needed

 -- Maximiliano Curia <maxy@debian.org>  Fri, 24 Oct 2014 04:36:46 +0200

kde4libs (4:4.14.2-2) unstable; urgency=medium

  * Update symbols files from buildds logs (4:4.14.2-1).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 23 Oct 2014 16:25:54 +0200

kde4libs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update symbols files from buildds logs (4:4.14.1-1).
  * Remove upstream applied patch: skip_kmountpointtest_if_no_mtab
  * Remove upstream patch: upstream-copyjob.cpp.diff
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:49 +0200

kde4libs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).
  * New patch: skip_kmountpointtest_if_no_mtab
  * New upstream patch: upstream-copyjob.cpp.diff
  * Update symbols files from buildd logs (4:4.14.0-1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 16 Sep 2014 23:04:27 +0200

kde4libs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols files with the 4:4.13.3 build logs.
  * Remove upstream patches.
  * Refresh patches.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 05:25:38 +0200

kde4libs (4:4.13.3-2) unstable; urgency=medium

  * Update symbols with the buildds logs.
  * New upstream patch: upstream_use-dbus-system-bus-name-instead-of-
    pid.patch (Closes: #755814) Fixes: CVE-2014-5033

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 11:36:21 +0200

kde4libs (4:4.13.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Update symbols files with 4:4.13.1-1 build logs.
  * New patch: fix_solidlex_destroy_signature.patch. (Closes: #749227)
    Thanks to Michael Tautschnig.
  * New upstream release. (Closes: #752052, #749769)
  * Refresh patches.
  * Update symbols files.

  [ Pino Toscano ]
  * Switch the libpng12-dev build dependency to libpng-dev.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 18 Jul 2014 09:14:12 +0200

kde4libs (4:4.13.0-0ubuntu5) UNRELEASED; urgency=medium

  * Ubuntu uses iputils-ping

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 28 May 2014 15:09:20 +0200

=== debian/control ===
Source: kde4libs
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: aspell,
               automoc (>= 1.0~version-0.9.88),
               bison,
               cmake (>= 2.6.4),
               debhelper (>= 9),
               docbook-xml,
               docbook-xsl,
               dpkg-dev (>= 1.15.5),
               flex,
               hspell,
               libacl1-dev,
               libaspell-dev,
               libattica-dev (>= 0.4.2),
               libavahi-common-dev,
               libbz2-dev,
               libdbusmenu-qt-dev,
               libdlrestrictions-dev (>= 0.14),
               libenchant-dev,
               libfam-dev,
               libgif-dev,
               libglu1-mesa-dev,
               libgrantlee-dev (>= 0.1.0),
               libjasper-dev,
               libjpeg-dev,
               libkrb5-dev,
               liblzma-dev,
               libopenexr-dev,
               libpcre3-dev,
               libphonon-dev (>= 4:4.6.0really4.3.80),
               libpng-dev,
               libpolkit-qt-1-dev (>= 0.99.0),
               libqca2-dev (>= 2.0.0),
               libqt4-dev (>= 4:4.8.0),
               libqt4-opengl-dev (>= 4:4.8.0),
               libqtwebkit-dev,
               libsm-dev,
               libsoprano-dev (>= 2.7.56),
               libssl-dev,
               libstreamanalyzer-dev (>= 0.6.3),
               libudev-dev [linux-any],
               libutempter-dev,
               libxml2-dev,
               libxml2-utils,
               libxrender-dev,
               libxslt1-dev,
               libxss-dev,
               pkg-kde-tools (>= 0.14),
               shared-desktop-ontologies (>= 0.11),
               shared-mime-info (>= 0.60),
               zlib1g-dev
Build-Conflicts: libqtwebkit-dev (<< 2.2.1)
Standards-Version: 3.9.6
XS-Testsuite: autopkgtest
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kde4libs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kde4libs.git

Package: libkdecore5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE Platform Core Library
 All KDE Applications use this library to provide basic functionality such as
 the configuration system, IPC, internationalization and locale support,
 site-independent access to the filesystem and a large number of other (but no
 less important) things. The classes in this library does not require linkage
 to QtGui or any other library that requires a graphical interface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdeui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdelibs5-data (>= ${source:Version})
Suggests: hspell
Description: KDE Platform User Interface Library
 This library provides standard user interface elements for use in KDE
 Applications. If your KDE Application has a GUI, you will almost certainly
 link to this library.
 .
 A spell-checker functionality is also provided. Sonnet offers easy access to
 International ISpell or ASpell as well as a spell-checker GUI ("Add",
 "Replace", etc.).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkpty4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pseudo Terminal Library for the KDE Platform
 This library provides primitives to interface with pseudo terminal devices as
 well as a KProcess derived class for running child processes and communicating
 with them using a pty.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkdesu5
Architecture: any
Depends: xauth, ${misc:Depends}, ${shlibs:Depends}
Description: Console-mode Authentication Library for the KDE Platform
 This library provides functionality for building GUI front ends for (password
 asking) console mode programs. For example, kdesu and kdessh use it to
 interface with su and ssh respectively.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsapi4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KJS API Library for the KDE Development Platform
 This library provides an ECMAScript compatible interpreter. The ECMA standard
 is based on well known scripting languages such as Netscape's JavaScript and
 Microsoft's JScript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkjsembed4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for binding JavaScript objects to QObjects
 This library provides a method of binding JavaScript objects to QObjects, so
 you can script your applications. It also provides an interface for running
 embedded Javascript.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkio5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Description: Network-enabled File Management Library for the KDE Platform
 This library implements almost all the file management functions you will ever
 need. In fact, the KDE file manager, Konqueror also uses this to provide its
 network-enabled file management. This library also implements the KDE file
 selector widget.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkntlm4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: NTLM Authentication Library for the KDE Platform
 This library is useful for creating the authentication structures which
 can be used for various servers which implement NTLM type authentication. A
 comprehensive description of the NTLM authentication protocol can be found at
 http://davenport.sourceforge.net/ntlm.html
 .
 The library also provides subroutines to create the LanManager and NT (MD4)
 hashes of a password.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libsolid4
Architecture: any
Depends: udev [linux-any], ${misc:Depends}, ${shlibs:Depends}
Recommends: udisks2 [linux-any], upower [linux-any]
Suggests: media-player-info [linux-any]
Breaks: kde-config-tablet (<< 1.2.5)
Description: Solid Library for KDE Platform
 Solid is a device integration framework. It provides a way of querying and
 interacting with hardware independently of the underlying operating system.
 .
 This package is part of the KDE Development Platform libraries module.
Homepage: http://solid.kde.org/

Package: libkde3support4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE 3 Support Library for the KDE 4 Platform
 The classes here are only for convenience of porting from KDE 3 to KDE 4
 Platform. They are not supposed to be used for a long time. You should move on
 to replacement classes provided by the framework or implement something
 yourself in the long run.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkfile4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: File Selection Dialog Library for KDE Platform
 This library provides the file selection dialog and its components.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff2-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnupg, kdelibs5-data (= ${source:Version})
Description: "Get Hot New Stuff" v2 Library for the KDE Platform
 The KNewStuff2 ("Get Hot New Stuff" v2)  library adds data sharing
 capabilities to KDE Applications. Technically, it implements the GHNS and DXS
 specifications. The library consists of three parts: the data management core
 and GHNS protocol implementation, the DXS web service handler, and the user
 interface classes like dialogs and buttons.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libknewstuff3-4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnupg, kdelibs5-data (= ${source:Version})
Description: "Get Hot New Stuff" v3 Library for the KDE Platform
 The KNewStuff3 ("Get Hot New Stuff" v3) library adds data sharing capabilities
 to the KDE Applications. It uses libattica to access Open Collaboration
 Services providers. In addition the static XML from GHNS is supported.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkparts4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for the KDE Platform Graphical Components
 This library implements the framework for reusable KDE components (kparts),
 which are elaborate widgets with a user-interface defined in terms of actions
 (menu items, toolbar icons).
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkutils4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: dummy transitional library
 This library has been split into libkcmutils4, libkprintutils4,
 libkidletime4 and libkemoticons4. This binary is provided to keep
 binary compatibility with software that was compiled against it.
 New software should not link against this library.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libthreadweaver4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ThreadWeaver Library for the KDE Platform
 ThreadWeaver is a helper for multithreaded programming. It uses a job-based
 interface to queue tasks and execute them in an efficient way.  You simply
 divide the workload into jobs, state the dependencies between the jobs and
 ThreadWeaver will work out the most efficient way of dividing the work between
 threads within a set of resource limits.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkhtml5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kdelibs5-plugins (= ${binary:Version})
Description: KHTML Web Content Rendering Engine
 This library provides the component based on the KDE parts framework that can
 be used to embed a fully-fledged HTML browser widget in any KDE Application.
 This library uses the KHTML Web Content Rendering Engine to rendering.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkimproxy4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Instant Messaging Interface Library for the KDE Platform
 This library provides an easy-to-use interface to any instant messengers or
 chat programs that implement KIMIface.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libkmediaplayer4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KMediaPlayer Interface for the KDE Platform
 KMediaPlayer provides an API for re-usable media player components. The main
 class (KMediaPlayer::Player) provides all the necessary media player
 operations, with an optional GUI to control them.
 .
 This package is part of the KDE Development Platform libraries module.

Package: libktexteditor4
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KTextEditor interfaces for the KDE Platform
 This package provides the KTextEditor interfaces (also called KTE interfaces)
 that are a set of well-defined interfaces which an application or library can
 implement to provide advanced plain text editing services. Applications which
 utilise this interface can thus allow the user to choose which implementation
 of the editor component to use. The only implementation right now is the Kate

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

# Fixes FTBFS (4:4.3.4-2) on ia64 (khtml code is too large to fit):
#   html/khtmlview.cpp:3623: relocation truncated to fit: GPREL22 against `.rodata'
# etc. We will have to reevalute if this is still needed some time later.
ifeq (ia64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
    export CFLAGS += -ffunction-sections
    export CXXFLAGS += -ffunction-sections
endif

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false \
	    -DWITH_HUpnp=OFF \
	    -DWITH_SOLID_UDISKS2=ON \
	    -DKDE_DISTRIBUTION_TEXT="Debian packages" \
	    -DKDE4_USE_ALWAYS_FULL_RPATH=false \
	    -DCONFIG_INSTALL_DIR=/usr/share/kde4/config \
	    -DDATA_INSTALL_DIR=/usr/share/kde4/apps \
	    -DHTML_INSTALL_DIR=/usr/share/doc/kde/HTML \
	    -DKCFG_INSTALL_DIR=/usr/share/kde4/config.kcfg \
	    -DLIB_INSTALL_DIR=/usr/lib \
	    -DSYSCONF_INSTALL_DIR=/etc \
	    -DLIBKDEINIT_INSTALL_DIR:PATH=/usr/lib/kde4/libkdeinit

.PHONY: override_dh_auto_test

override_dh_auto_install:
	$(overridden_command)
	chmod a+x debian/tmp/usr/share/kde4/apps/kconf_update/ksslcertificatemanager.upd.sh

override_dh_strip:
	$(overridden_command) --dbg-package=kdelibs5-dbg

# remove dependencies on kdebase-runtime and phonon (the metapackage)
override_dh_shlibdeps:
	$(overridden_command) -- -xkde-runtime -xphonon

# Library stuff
libpkgs_addsubst_allLibraries = kdelibs5-dev kdelibs5-dbg
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kdelibs-([\d.]+).tar.xz
